BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
%define section   devel
%define base_name commons-jexl
%define jakarta_version 1.0

Name:           jakarta-%{base_name}
Version:        %{jakarta_version}
Release:        alt2_6jpp1.7
Epoch:          0
Summary:        Java Expression Language

Group:          Development/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/commons/jexl/
Source0:        commons-jexl-1.0-src.tar.gz

BuildArch:      noarch
BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: ant >= 0:1.6
BuildRequires: ant-junit >= 0:1.6
BuildRequires: junit
BuildRequires: jakarta-commons-logging
Requires: jakarta-commons-logging

%description
Jexl is an expression language engine designed for easy embedding in 
applications and frameworks. It implements an extended version of the 
Expression Language of the JSTL.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildRequires: jakarta-commons-logging-javadoc

%description    javadoc
%{summary}.


%prep
%setup -q -n %{base_name}-%{version}


%build
export OPT_JAR_LIST="ant/ant-junit junit"
#export CLASSPATH=$(build-classpath jakarta-commons-logging-api jakarta-commons-logging )
export CLASSPATH=$(build-classpath jakarta-commons-logging )
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only test dist


%install
install -Dpm 644 dist/%{base_name}-%{jakarta_version}-beta-3-SNAPSHOT.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-%{version}.jar
ln -s %{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%doc LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Sat Apr 21 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt2_6jpp1.7
- converted from JPackage by jppimport script

* Wed Mar 22 2006 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt2
- Fix build with j2se1.5

* Wed May 04 2005 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt1
- Initial build for ALT Linux Sisyphus
- svn snapshot 20050504

